Summary: Base system master password/group files
Name: base-passwd
Version: 3.5.29
Release: r0.1.0
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%package -n base-passwd-update
Summary: Base system master password/group files
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: elf(buildid) = e22636346bcc9a0bfd5a4ed7133dc99ca42e858f

%description -n base-passwd-update
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%package -n base-passwd-dbg
Summary: Base system master password/group files - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: base-passwd = 3.5.29-r0.1.0

%description -n base-passwd-dbg
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n base-passwd-staticdev
Summary: Base system master password/group files - Development files (Static Libraries)
Group: devel
Requires: base-passwd-dev = 3.5.29-r0.1.0

%description -n base-passwd-staticdev
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains static
libraries for software development.

%package -n base-passwd-dev
Summary: Base system master password/group files - Development files
Group: devel
Requires: base-passwd = 3.5.29-r0.1.0
Suggests: libc6-dev

%description -n base-passwd-dev
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n base-passwd-doc
Summary: Base system master password/group files - Documentation files
Group: doc

%description -n base-passwd-doc
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.  This package contains documentation.

%package -n base-passwd-locale
Summary: Base system master password/group files
Group: base

%description -n base-passwd-locale
The master copies of the user database files (/etc/passwd and /etc/group).
The update-passwd tool is also provided to keep the system databases
synchronized with these master files.

%pre
# base-passwd - preinst
#!/bin/sh
mkdir -p $D/etc
if [ ! -e $D/etc/passwd ]; then
	cat << EOF > $D/etc/passwd
root:6UZSjeWUui3JQ:0:0:root:/root:/bin/sh
daemon:*:1:1:daemon:/usr/sbin:/bin/sh
bin:*:2:2:bin:/bin:/bin/sh
sys:*:3:3:sys:/dev:/bin/sh
sync:*:4:65534:sync:/bin:/bin/sync
games:*:5:60:games:/usr/games:/bin/sh
man:*:6:12:man:/var/cache/man:/bin/sh
lp:*:7:7:lp:/var/spool/lpd:/bin/sh
mail:*:8:8:mail:/var/mail:/bin/sh
news:*:9:9:news:/var/spool/news:/bin/sh
uucp:*:10:10:uucp:/var/spool/uucp:/bin/sh
proxy:*:13:13:proxy:/bin:/bin/sh
www-data:*:33:33:www-data:/var/www:/bin/sh
backup:*:34:34:backup:/var/backups:/bin/sh
list:*:38:38:Mailing List Manager:/var/list:/bin/sh
irc:*:39:39:ircd:/var/run/ircd:/bin/sh
gnats:*:41:41:Gnats Bug-Reporting System (admin):/var/lib/gnats:/bin/sh
nobody:*:65534:65534:nobody:/nonexistent:/bin/sh
sanlock:x:179:179:sanlock:/var/run/sanlock:/usr/sbin/nologin
qemu:x:107:107:qemu user:/:/usr/sbin/nologin
vdsm:x:36:36:Node Virtualization Manager:/var/lib/vdsm:/usr/sbin/nologin
EOF
fi
if [ ! -e $D/etc/group ]; then
	cat << EOF > $D/etc/group
root:*:0:
daemon:*:1:
bin:*:2:
sys:*:3:
adm:*:4:
tty:*:5:
disk:*:6:sanlock
lp:*:7:
mail:*:8:
news:*:9:
uucp:*:10:
man:*:12:
proxy:*:13:
kmem:*:15:
input:*:19:
dialout:*:20:
fax:*:21:
voice:*:22:
cdrom:*:24:
floppy:*:25:
tape:*:26:
sudo:*:27:
audio:*:29:
dip:*:30:
www-data:*:33:
backup:*:34:
operator:*:37:
list:*:38:
irc:*:39:
src:*:40:
gnats:*:41:
shadow:*:42:
utmp:*:43:
video:*:44:
sasl:*:45:
plugdev:*:46:
staff:*:50:
games:*:60:
shutdown:*:70:
users:*:100:
nogroup:*:65534:
kvm:x:36:qemu,sanlock
qemu:x:107:vdsm,sanlock
sanlock:x:179:vdsm
EOF
fi


%post -n base-passwd-update
# base-passwd-update - postinst
#!/bin/sh
if [ -n "$D" ]; then
	exit 0
fi
/usr/sbin/update-passwd


%files
%defattr(-,-,-,-)

%files -n base-passwd-update
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/share"
"/usr/sbin/update-passwd"
%dir "/usr/share/base-passwd"
"/usr/share/base-passwd/passwd.master"
"/usr/share/base-passwd/group.master"

%files -n base-passwd-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/update-passwd"
%dir "/usr/src/debug"
%dir "/usr/src/debug/base-passwd"
%dir "/usr/src/debug/base-passwd/3.5.29-r0.1"
%dir "/usr/src/debug/base-passwd/3.5.29-r0.1/base-passwd-3.5.29"
"/usr/src/debug/base-passwd/3.5.29-r0.1/base-passwd-3.5.29/update-passwd.c"

%files -n base-passwd-dev
%defattr(-,-,-,-)

%files -n base-passwd-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/doc"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/pl"
"/usr/share/man/man8/update-passwd.8.gz"
%dir "/usr/share/man/pl/man8"
"/usr/share/man/pl/man8/update-passwd.8.gz"
%dir "/usr/share/doc/base-passwd"
"/usr/share/doc/base-passwd/copyright"
"/usr/share/doc/base-passwd/README"
"/usr/share/doc/base-passwd/changelog.gz"

